package com.jesuspinar.miobjeto.controller;

import java.io.*;

public class ObjReader {
    public static Object read(File file) {
        Object result = null;
        try (FileInputStream fis = new FileInputStream(file);
             ObjectInputStream ois = new ObjectInputStream(fis)
        ){
            result = ois.readObject();
        } catch (IOException | ClassNotFoundException e) {
            throw new RuntimeException(e);
        }
        return result;
    }
}
